Package com.salesforce.datacloud.jdbc.interceptor

## Class DataspaceHeaderInterceptor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.interceptor.DataspaceHeaderInterceptor

All Implemented Interfaces:
  `HeaderMutatingClientInterceptor`, `io.grpc.ClientInterceptor`

    public class DataspaceHeaderInterceptor
    extends Object
    implements HeaderMutatingClientInterceptor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `mutate​(io.grpc.Metadata headers)`
`static DataspaceHeaderInterceptor` `of​(Properties properties)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.salesforce.datacloud.jdbc.interceptor.HeaderMutatingClientInterceptor

`interceptCall`

### Method Detail

#### of

    public static DataspaceHeaderInterceptor of​(Properties properties)

#### mutate

    public void mutate​(io.grpc.Metadata headers)

Specified by:
  `mutate` in interface `HeaderMutatingClientInterceptor`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`